From: <a href="/blend/av.cgi?id=1684">blessed23</a><BR>
Date: 13 October 2015<P>

Hello!  How is everyone?  I haven't been on here in ages. B.K., twisted_lie, and Just L are all still here.  How goes it?
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 13 October 2015<P>

Here's the new Blender of Love Digest!
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 13 October 2015<P>

Yay!!<BR>
<BR>
Yay to new voices.<BR>
<BR>
And, oh crap, my sweetheart is going to read my raw observation.  ;)
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 13 October 2015<P>

Hello Blessed23, nice to see you back!<BR>
<BR>
I'm in love... coming up on a one year first date mark with a remarkable man... so my poetry is less sad these days;)
<HR>
From: <a href="/blend/av.cgi?id=1498">twisted_lie</a><BR>
Date: 13 October 2015<P>

Yaaaay :) thank you for the front page pick :)))))
<HR>
From: <a href="/blend/av.cgi?id=1498">twisted_lie</a><BR>
Date: 13 October 2015<P>

Blessed23 I decided to focus on my career instead :'-D love is too confusing lol
<HR>